Skip to content
Get Account Cost
cURL
curl -G https://openqiao.com/api/v1/management/cost \
  -H "Authorization: Bearer $OPENQIAO_MANAGEMENT_API_KEY" \
  --data-urlencode "type=cost" \
  --data-urlencode "query_dimension=BIZ_MTH" \
  --data-urlencode "query_time=202609" \
  --data-urlencode "api_key_ids=key_1,key_2" \
  --data-urlencode "model_slugs=openai/gpt-5" \
  --data-urlencode "bill_types=metered,subscription"
200
{
  "success": true,
  "data": {
    "summary": {
      "totalCost": "12.3456000000",
      "inputCost": "8.0000000000",
      "outputCost": "4.3456000000",
      "otherCost": "0",
      "requestCounts": "125",
      "requestAvgCost": "0.0987648000",
      "totalTokens": "1500000",
      "millionTokenAvgCost": "8.2304000000"
    },
    "analysis": {
      "costByModel": [
        {
          "bizTime": "20260903",
          "modelSlug": "openai/gpt-5",
          "tokenType": null,
          "apiKeyId": null,
          "billAmount": "12.3456000000",
          "requestCounts": "125"
        }
      ],
      "costByApiKey": [
        {
          "bizTime": "20260903",
          "modelSlug": null,
          "tokenType": null,
          "apiKeyId": "key_1",
          "billAmount": "8.0000000000",
          "requestCounts": "80"
        },
        {
          "bizTime": "20260903",
          "modelSlug": null,
          "tokenType": null,
          "apiKeyId": "key_2",
          "billAmount": "4.3456000000",
          "requestCounts": "45"
        }
      ],
      "costByTokenType": [
        {
          "bizTime": "20260903",
          "modelSlug": null,
          "tokenType": "prompt",
          "apiKeyId": null,
          "billAmount": "8.0000000000",
          "requestCounts": null
        },
        {
          "bizTime": "20260903",
          "modelSlug": null,
          "tokenType": "completion",
          "apiKeyId": null,
          "billAmount": "4.3456000000",
          "requestCounts": null
        }
      ]
    }
  }
}